Subject: Re: [Sip] draft-ietf-resource-priority-01 draft

From: [email-masked]
Date: Tue, 12 Aug 2003 12:15:21 EDT

In a message dated 8/9/2003 6:26:14 PM Eastern Standard Time, 
[email-masked] writes:

> [MAP] > 
> > 2. Number of headers
> > 
> > There is also a confusion about the number of R-P headers which may be 
> > included. While 4.5 correctly states that "The UAC MUST only include at 
> > most one Resource-Priority header field in the request.", Section 3 
> > includes the statement that "There may be multiple resource values or, 
> > equivalently, multiple Resource-Priority header fields." (which is 
> > followed by the example of the US Wireless Priority System). It isn't 
> > clear how to interpret this example, since it refers to possible 
> > namespaces and priorities which aren't defined in this document. I 
> > suggest that these two paragraphs be deleted. Other text already 
> > indicates that an R-P header can contain multiple namespaces but not 
> > multiple values per namespace.
> 
> [HGS] As per the previous discussion, multiple namespace.priority values are 
> permissible, obviously only with different namespaces. The contradictory 
> text was yanked.
> 
Now I'm completely confused. The -01 draft, as I noted above, correctly 
stated in 4.5 that each request is limited to one R-P header (which may have 
multiple namespaces, each with one priority value specified).

In the -02 version, you took out the correct statement that only one R-P 
header may be included in the request, and left in the confusing statement that I 
had pointed out.

Mike Pierce

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 12 Aug 2003 12:21:24 -0400

> stated in 4.5 that each request is limited to one R-P header (which may 
> have multiple namespaces, each with one priority value specified).

Standard SIP usage is that

Header: A, B, C

is exactly the same as

Header: A
Header: B
Header: C

(or obviously any other ordering). See Section 7.3 in RFC 3261.

> header may be included in the request, and left in the confusing 
> statement that I had pointed out.

With that clarification, does the confusion remain?

> Mike Pierce

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Rohan Mahy <[email-masked]>
Date: Wed, 20 Aug 2003 11:11:26 -0700

On Tuesday, August 12, 2003, at 09:21 AM, Henning Schulzrinne wrote:

>> Now I'm completely confused. The -01 draft, as I noted above, 
>> correctly stated in 4.5 that each request is limited to one R-P 
>> header (which may have multiple namespaces, each with one priority 
>> value specified).
>

Both of these are one Header (field) with multiple header-field-values

> (or obviously any other ordering)

no, any other ordering is not OK.  think about Via!

thanks,
-rohan

> . See Section 7.3 in RFC 3261.
>
>> In the -02 version, you took out the correct statement that only one 
>> R-P header may be included in the request, and left in the confusing